<?php
/**
 * Created by JetBrains PhpStorm.
 * User: leonardocarvalho
 * Date: 30/08/13
 * Time: 14:15
 * To change this template use File | Settings | File Templates.
 */

namespace BancoTalentos\Util\Mail;
use BancoTalentos\Services\SMTPService;

class Mail {

    private $_mailConfig;

    public function __construct(SMTPService $smtpService) {
        $this->smtpService = $smtpService;
/*
        $this->_mailConfig = new Config($to, $subject, $content);

        try {

            // Definindo os parâmetros de configuração do SMTP
            $config = array (
                'auth' => $this->_mailConfig->getAuth(),
                'username' => $this->_mailConfig->getUsername(),
                'password' => $this->_mailConfig->getPassword()
            );

            // Enviando o email
            $mailTransport = new \Zend_Mail_Transport_Smtp($this->_mailConfig->getServer(), $config);
            \Zend_Mail::setDefaultTransport($mailTransport);
            $mail = new \Zend_Mail();
            $mail->setFrom($this->_mailConfig->getFrom());
            $mail->addTo($this->_mailConfig->getTo());
            $mail->setBodyHtml(utf8_decode($this->_mailConfig->getContent()), null, 'UTF-8'); // Conteúdo no formato HTML
            //$mail->setBodyText(utf8_decode($this->_mailConfig->getContent())); // Conteúdo no formato texto padrão
            $mail->setSubject(utf8_decode($this->_mailConfig->getSubject()));
            $mail->send($mailTransport);

            return true;

        } catch (\Exception $e){

            return false;
//            $error = 'Ops! Não foi possível enviar o email, informe ao administrador o seguinte erro: ' . $e->getMessage();

        }*/

    }
    public function newEmail($email, $message, $subject, $nmoperador, $nmfrom){
        $this->smtpService->setSubject($subject);
        $this->smtpService->setFromName($nmfrom);
        $this->smtpService->setNmAddress($nmoperador);
        $this->smtpService->sendMail($message, $email);
    }

    /**
     * Retorna uma senha aleatória de 10 dígitos
     * @return integer
     * @author rodrigomarques
     */
    public static function getNewPassword() {
        $password =  rand(0,9).chr(rand(ord("a"), ord("z"))).
            rand(0,9).chr(rand(ord("A"), ord("Z"))).
            rand(0,9).chr(rand(ord("a"), ord("z")));

        return $password;
    }

    /**
     * Criptografa a senha do operador
     * @param string $cdsenhoper
     * @return string
     * @author rodrigomarques
     */
    public static function encrypts($cdsenhoper) {
        return sha1($cdsenhoper);
    }

}