<?php

namespace BancoTalentos\Services;

use BancoTalentos\Util\{ Repositories, Service };

use Teknisa\Model\Gestaopessoas\Entities\BtlParamoper;

class ParamOperService extends Service {

    public function getEntityRepositoryName(): string {
        return Repositories::BTL_PARAMOPER;
    }

    public function getEntityKeysName(): array {
        return [
            'NRORG',
            'CDOPERADOR'
        ];
    }

    /** @return BtlParamOper|false */
    public function find(
        array $row,
        $keysNames = null
    ) {
        return parent::find($row, $keysNames);
    }

}