<?php

namespace BancoTalentos\Util;

/**
 *  Interface EntityPersistInstance
 * 
 *  Define metodos a serem implementados por classes manipuladoras de entidades.
 * 
 */

interface EntityPersistInstance {
    public function setNewEntity(string $entityRepository, Array $fieldValues, ?array $config);
    public function updateEntity(string $entityRepositoryName, array $entityKeysNames, array $row, ?array $config);
    public function removeEntity(string $entityRepositoryName, array $entityKeysNames, array $row, ?array $config);
    public function persistPending();
}